; ##############################################################################
; ##############################################################################
; ##############################################################################
ANALOGUHR:
	; ZEILE 1	
	STS(adr_GRAFIC_ASCII_GROESSE),NULL
	call ASCII_CURSOR_ZEILE_1
	call ANZEIGE_ZEIT_KURZ				; ZEIT		
	call ASCII_LEER5
	call ASCII_LEER5
	call ASCII_LEER5
	call ASCII_LEER5
	call ASCII_LEER3
	call ANZEIGE_DATUM_KURZ				; DATUM		
	; ZEILE 21
	call ASCII_CURSOR_ZEILE_21
	call ANZEIGE_WOCHENTAG_KURZ
	call ASCII_LEER5
	call ASCII_LEER5
	call ASCII_LEER5
	call ASCII_LEER5
	call ASCII_LEER5
	call ASCII_LEER5
	call ASCII_LEER5
	call ANZEIGE_DCF_SYMBOL1_KURZ
	call ANZEIGE_DCF_SYMBOL2_KURZ
	; ZEIGER					
	ldi XL,LOW (ANALOGUHR_X)			; X								
	ldi XH,HIGH(ANALOGUHR_X)
	ldi YL,LOW (ANALOGUHR_Y)			; Y								
	ldi YH,HIGH(ANALOGUHR_Y)	
	STS(adr_GRAFIC_X1_L),XL		
	STS(adr_GRAFIC_X1_H),XH
	STS(adr_GRAFIC_Y1_L),YL		
	STS(adr_GRAFIC_Y1_H),YH	
;-------------------------------------------------------------------------------	
	; hat sich HH-MM-Zeigerposition verndert ?	
	LDS R0,(adr_mm)
	LDS R1,(adr_ANALOGUHR_OLD_mm); OLD	
	cp R0,R1
	breq ANALOGUHR_mm_FERTIG
	; ZIFFERNBLATT				
	rcall ANALOGUHR_ZIFFERNBLATT
	; MINUTEN(alt) clear		
	STS(adr_GRAFIC_FARBE),EINS	; schwarz	
	LDS temp6,(adr_ANALOGUHR_OLD_mm); OLD	
	rcall ANALOGUHR_mm_TEMP6
	STS(adr_GRAFIC_FARBE),NULL	; weiss		
	; MINUTEN write			
	LDS temp6,(adr_mm)
	rcall ANALOGUHR_mm_TEMP6
	; STUNDE(alt) clear				
	STS(adr_GRAFIC_FARBE),EINS	; schwarz	
	LDS temp6,(adr_ANALOGUHR_OLD_hh)
	LDS temp8,(adr_ANALOGUHR_OLD_mm)
	rcall ANALOGUHR_STUNDE_TEMP6_TEMP8
	STS(adr_GRAFIC_FARBE),NULL	; weiss		
	; STUNDEN write			
	LDS temp6,(adr_hh)
	LDS temp8,(adr_mm)
	rcall ANALOGUHR_STUNDE_TEMP6_TEMP8
	; OLD merken				
	LDS temp,(adr_mm)
	STS(adr_ANALOGUHR_OLD_mm),temp	; OLD	
	LDS temp,(adr_hh)
	STS(adr_ANALOGUHR_OLD_hh),temp	; OLD	
ANALOGUHR_mm_FERTIG:
;-------------------------------------------------------------------------------
	; SEKUNDEN (alt) clear	
	STS(adr_GRAFIC_FARBE),EINS	; schwarz	
	LDS temp6,(adr_ANALOGUHR_OLD_ss); OLD	
	rcall ANALOGUHR_ss_TEMP6
	STS(adr_GRAFIC_FARBE),NULL	; weiss		
	; SEKUNDEN write		
	LDS temp6,(adr_ss)
	STS(adr_ANALOGUHR_OLD_ss),temp6; OLD	
	rcall ANALOGUHR_ss_TEMP6
	; MINUTEN write			
	LDS temp6,(adr_mm)
	rcall ANALOGUHR_mm_TEMP6
	; STUNDEN write			
	LDS temp6,(adr_hh)
	LDS temp8,(adr_mm)
	rcall ANALOGUHR_STUNDE_TEMP6_TEMP8

	; MITTELPUNKT			
	ldi temp,9
	STS(adr_GRAFIC_PUNKT_GROESSE),temp
	ldi XL,LOW (ANALOGUHR_X)			; X								
	ldi XH,HIGH(ANALOGUHR_X)
	ldi YL,LOW (ANALOGUHR_Y)			; Y								
	ldi YH,HIGH(ANALOGUHR_Y)	
	call GRAFIC_PUNKT_X_Y
ret
;-------------------------------------------------------------------------------
; SEKUNDEN-ZEIGER																
ANALOGUHR_ss_TEMP6:
	; ZEIGERBREITE					
	ldi temp,(ANALOGUHR_ZEIGER_BREITE_SS)
	STS(adr_GRAFIC_PUNKT_GROESSE),temp
	; LINIE-WINKEL					
	ldi temp1,LOW (ANALOGUHR_ZEIGER_LAENGE_SS)				; Streckenlnge					
	ldi temp2,HIGH(ANALOGUHR_ZEIGER_LAENGE_SS)	
	STS(adr_GRAFIC_LAENGE_L),temp1
	STS(adr_GRAFIC_LAENGE_H),temp2
	; SEKUNDEN x 60					
	ldi temp,60
	mul temp6,temp
	STS(adr_GRAFIC_WINKEL_L),R0		; WINKEL						
	STS(adr_GRAFIC_WINKEL_H),R1
	rjmp GRAFIC_ZEIGER		; ZEIGER						
;-------------------------------------------------------------------------------
; MINUTEN-ZEIGER																
ANALOGUHR_mm_TEMP6:
	; ZEIGERBREITE					
	ldi temp,(ANALOGUHR_ZEIGER_BREITE_mm)
	STS(adr_GRAFIC_PUNKT_GROESSE),temp
	; LINIE-WINKEL					
	ldi temp1,LOW (ANALOGUHR_ZEIGER_LAENGE_mm)				; Streckenlnge					
	ldi temp2,HIGH(ANALOGUHR_ZEIGER_LAENGE_mm)	
	STS(adr_GRAFIC_LAENGE_L),temp1
	STS(adr_GRAFIC_LAENGE_H),temp2
	; MINUTEN x 60					
	ldi temp,60
	mul temp6,temp
	STS(adr_GRAFIC_WINKEL_L),R0		; WINKEL						
	STS(adr_GRAFIC_WINKEL_H),R1
	rjmp GRAFIC_ZEIGER		; ZEIGER						
;-------------------------------------------------------------------------------
; STUNDEN-ZEIGER																
ANALOGUHR_STUNDE_TEMP6_TEMP8:
	; ZEIGERBREITE					
	ldi temp,(ANALOGUHR_ZEIGER_BREITE_hh)
	STS(adr_GRAFIC_PUNKT_GROESSE),temp
	; LINIE-WINKEL					
	ldi temp1,LOW (ANALOGUHR_ZEIGER_LAENGE_hh)				; Streckenlnge					
	ldi temp2,HIGH(ANALOGUHR_ZEIGER_LAENGE_hh)	
	STS(adr_GRAFIC_LAENGE_L),temp1
	STS(adr_GRAFIC_LAENGE_H),temp2
	; 24h-->12h						
	cpi temp6,(12)
	brlo ANALOGUHR_hh_TEMP6_12h_OK
	subi temp6,12
ANALOGUHR_hh_TEMP6_12h_OK:
	; STUNDEN x 5 (1=30GRD)			
	ldi temp,5
	mul temp6,temp
	mov temp1,R0
	; x 60							
	ldi temp,60
	mul temp1,temp
	mov temp1,R0
	mov temp2,R1
	; MINUTEN  (1MIN=30/60=0,5 GRD)	
	ldi temp3,5
	mul temp8,temp3
	; MINUTEN dazuaddieren			
	add temp1,R0
	adc temp2,R1
	STS(adr_GRAFIC_WINKEL_L),temp1	; WINKEL						
	STS(adr_GRAFIC_WINKEL_H),temp2
	rjmp GRAFIC_ZEIGER		; ZEIGER						
;-------------------------------------------------------------------------------
; ZIFFERNBLATT																	
ANALOGUHR_ZIFFERNBLATT:
	; RADIUS				
	ldi temp,127
	STS(adr_GRAFIC_KREIS_RADIUS),temp	; RADIUS
;-------------------------------
	; PUNKTGROESSE			
	ldi temp,5
	STS(adr_GRAFIC_PUNKT_GROESSE),temp
	; WINKEL				
	ldi temp1,LOW (0)
	ldi temp2,HIGH(0)
	STS(adr_GRAFIC_WINKEL_L),temp1
	STS(adr_GRAFIC_WINKEL_H),temp2
	call GRAFIC_ZEIGER_PUNKT	; PUNKT-ZEIGER	
	; WINKEL				
	ldi temp1,LOW (900)
	ldi temp2,HIGH(900)
	STS(adr_GRAFIC_WINKEL_L),temp1
	STS(adr_GRAFIC_WINKEL_H),temp2
	call GRAFIC_ZEIGER_PUNKT	; PUNKT-ZEIGER	
	; WINKEL				
	ldi temp1,LOW (1800)
	ldi temp2,HIGH(1800)
	STS(adr_GRAFIC_WINKEL_L),temp1
	STS(adr_GRAFIC_WINKEL_H),temp2
	call GRAFIC_ZEIGER_PUNKT	; PUNKT-ZEIGER	
	; WINKEL				
	ldi temp1,LOW (2700)
	ldi temp2,HIGH(2700)
	STS(adr_GRAFIC_WINKEL_L),temp1
	STS(adr_GRAFIC_WINKEL_H),temp2
	call GRAFIC_ZEIGER_PUNKT	; PUNKT-ZEIGER	
;-------------------------------
	; PUNKTGROESSE			
	ldi temp,2
	STS(adr_GRAFIC_PUNKT_GROESSE),temp
	; WINKEL				
	ldi temp1,LOW (300)
	ldi temp2,HIGH(300)
	STS(adr_GRAFIC_WINKEL_L),temp1
	STS(adr_GRAFIC_WINKEL_H),temp2
	call GRAFIC_ZEIGER_PUNKT	; PUNKT-ZEIGER	
	; WINKEL				
	ldi temp1,LOW (600)
	ldi temp2,HIGH(600)
	STS(adr_GRAFIC_WINKEL_L),temp1
	STS(adr_GRAFIC_WINKEL_H),temp2
	call GRAFIC_ZEIGER_PUNKT	; PUNKT-ZEIGER	
	; WINKEL				
	ldi temp1,LOW (1200)
	ldi temp2,HIGH(1200)
	STS(adr_GRAFIC_WINKEL_L),temp1
	STS(adr_GRAFIC_WINKEL_H),temp2
	call GRAFIC_ZEIGER_PUNKT	; PUNKT-ZEIGER	
	; WINKEL				
	ldi temp1,LOW (1500)
	ldi temp2,HIGH(1500)
	STS(adr_GRAFIC_WINKEL_L),temp1
	STS(adr_GRAFIC_WINKEL_H),temp2
	call GRAFIC_ZEIGER_PUNKT	; PUNKT-ZEIGER	
	; WINKEL				
	ldi temp1,LOW (2100)
	ldi temp2,HIGH(2100)
	STS(adr_GRAFIC_WINKEL_L),temp1
	STS(adr_GRAFIC_WINKEL_H),temp2
	call GRAFIC_ZEIGER_PUNKT	; PUNKT-ZEIGER	
	; WINKEL				
	ldi temp1,LOW (2400)
	ldi temp2,HIGH(2400)
	STS(adr_GRAFIC_WINKEL_L),temp1
	STS(adr_GRAFIC_WINKEL_H),temp2
	call GRAFIC_ZEIGER_PUNKT	; PUNKT-ZEIGER	
	; WINKEL				
	ldi temp1,LOW (3000)
	ldi temp2,HIGH(3000)
	STS(adr_GRAFIC_WINKEL_L),temp1
	STS(adr_GRAFIC_WINKEL_H),temp2
	call GRAFIC_ZEIGER_PUNKT	; PUNKT-ZEIGER	
	; WINKEL				
	ldi temp1,LOW (3300)
	ldi temp2,HIGH(3300)
	STS(adr_GRAFIC_WINKEL_L),temp1
	STS(adr_GRAFIC_WINKEL_H),temp2
	call GRAFIC_ZEIGER_PUNKT	; PUNKT-ZEIGER	
;-------------------------------
	; PUNKTGROESSE			
	ldi temp,0
	; WINKEL				
	STS(adr_GRAFIC_PUNKT_GROESSE),temp
	STS(adr_GRAFIC_WINKEL_L),NULL
	STS(adr_GRAFIC_WINKEL_H),NULL

	ldi temp9,60
ANALOGUHR_ZIFFERNBLATT_s:
	push temp9
	call GRAFIC_ZEIGER_PUNKT	; PUNKT-ZEIGER	
	pop temp9

	LDS ZL,(adr_GRAFIC_WINKEL_L)
	LDS ZH,(adr_GRAFIC_WINKEL_H)
	adiw ZL,60
	STS(adr_GRAFIC_WINKEL_L),ZL
	STS(adr_GRAFIC_WINKEL_H),ZH
	dec temp9
	brne ANALOGUHR_ZIFFERNBLATT_s
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
