; ##############################################################################
; ##############################################################################
; ##############################################################################
TEST_GRAFIC:
; SINUS_COSINUS												
	call GRAFIC_CLEAR
	call TEST_GRAFIC_SINUS_COSINUS
	call wait_100ms
; RECHTECK													
	call GRAFIC_CLEAR
	call TEST_GRAFIC_RECHTECK
	call wait_100ms
; LINIE														
	call GRAFIC_CLEAR
	call TEST_LINIE_SCHRAEG_STOP_UHR
	call wait_100ms
; LINIE														
	call GRAFIC_CLEAR
	call TEST_LINIE_SCHRAEG_A
	call wait_100ms
; KREIS														
	call GRAFIC_CLEAR
	call TEST_GRAFIC_GEFUELLTER_KREIS_STOP_UHR
	call wait_100ms
; KREIS mit AUGE											
	call GRAFIC_CLEAR
	call TEST_GRAFIC_KREIS_AUGE
	call wait_100ms
; ZEICHENSATZ												
	call GRAFIC_CLEAR
	call TEST_ZEICHENSATZ_NULL
	call wait_100ms
	call TEST_ZEICHENSATZ
	call wait_100ms
	call TEST_ZEICHENSATZ_INVERS_ZEILE
	call wait_100ms
; ZAHLEN													
	call TEST_ZAHLEN
	call wait_100ms
	call TEST_RECHNEN
	call wait_100ms
; RECHNEGESCHWINDIGKEIT										
	call GRAFIC_CLEAR
	call ANZEIGE_CPU_RECHEN_GESCHWINDIGKEIT
	call wait_500ms
; ZEICHENSATZ 8x12												
	call GRAFIC_CLEAR
	call TEST_ZEICHENSATZ
	call wait_1s
; ZEICHENSATZ 16x24												
	call GRAFIC_CLEAR
	STS(adr_GRAFIC_ASCII_GROESSE),EINS
	call ASCII_CURSOR_ZEILE_1
	call TEST_ZEICHENSATZ
	call wait_1s


ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
TEST_BITMUSTER:
	; oben links
	ldi temp,0b11111111
	STS(adr_TV_BILDBEREICH),temp
	; unten rechts
	ldi temp,0b11111111
	STS(adr_TV_BILDBEREICH_ENDE),temp
	; BITMUSTER 		
	ldi temp,0b10000000
	ldi ZL,LOW (adr_TV_BILDBEREICH+40*20)	
	ldi ZH,HIGH(adr_TV_BILDBEREICH+40*20)	
	call TEST_BITMUSTER_RUN
	; BITMUSTER 		
	ldi temp,0b11111110
	ldi ZL,LOW (adr_TV_BILDBEREICH+40*40)	
	ldi ZH,HIGH(adr_TV_BILDBEREICH+40*40)	
	call TEST_BITMUSTER_RUN
	; BITMUSTER 		
	ldi temp,0b10101010
	ldi ZL,LOW (adr_TV_BILDBEREICH+40*60)	
	ldi ZH,HIGH(adr_TV_BILDBEREICH+40*60)	
	call TEST_BITMUSTER_RUN
	; BITMUSTER 		
	ldi temp,0b10101010
	ldi ZL,LOW (adr_TV_BILDBEREICH+40*100)	
	ldi ZH,HIGH(adr_TV_BILDBEREICH+40*100)	
	call TEST_BITMUSTER_RUN_1_ZEILE
	; BITMUSTER 		
	ldi temp,0b11111111
	ldi ZL,LOW (adr_TV_BILDBEREICH+40*140)	
	ldi ZH,HIGH(adr_TV_BILDBEREICH+40*140)	
	call TEST_BITMUSTER_RUN_1_ZEILE
	; BITMUSTER 		
	ldi temp,0b11111111
	ldi ZL,LOW (adr_TV_BILDBEREICH+40*160)	
	ldi ZH,HIGH(adr_TV_BILDBEREICH+40*160)	
	call TEST_BITMUSTER_RUN_1_ZEILE
	com temp
	call TEST_BITMUSTER_RUN_1_ZEILE
	com temp
	call TEST_BITMUSTER_RUN_1_ZEILE
	com temp
	call TEST_BITMUSTER_RUN_1_ZEILE
	com temp
	call TEST_BITMUSTER_RUN_1_ZEILE
	com temp
	call TEST_BITMUSTER_RUN_1_ZEILE
	com temp
	call TEST_BITMUSTER_RUN_1_ZEILE
	com temp
	call TEST_BITMUSTER_RUN_1_ZEILE
	com temp
	call TEST_BITMUSTER_RUN_1_ZEILE
	com temp
	call TEST_BITMUSTER_RUN_1_ZEILE
	; BITMUSTER 		
	ldi temp,0b10101010
	ldi ZL,LOW (adr_TV_BILDBEREICH+40*180)	
	ldi ZH,HIGH(adr_TV_BILDBEREICH+40*180)	
	call TEST_BITMUSTER_RUN_1_ZEILE
	com temp
	call TEST_BITMUSTER_RUN_1_ZEILE
	com temp
	call TEST_BITMUSTER_RUN_1_ZEILE
	com temp
	call TEST_BITMUSTER_RUN_1_ZEILE
	com temp
	call TEST_BITMUSTER_RUN_1_ZEILE
	com temp
	call TEST_BITMUSTER_RUN_1_ZEILE
	com temp
	call TEST_BITMUSTER_RUN_1_ZEILE
	com temp
	call TEST_BITMUSTER_RUN_1_ZEILE
	com temp
	call TEST_BITMUSTER_RUN_1_ZEILE
	com temp
	call TEST_BITMUSTER_RUN_1_ZEILE
	; BITMUSTER 		
	ldi temp,0b11111111
	ldi ZL,LOW (adr_TV_BILDBEREICH+40*200)	
	ldi ZH,HIGH(adr_TV_BILDBEREICH+40*200)	
	call TEST_BITMUSTER_RUN

	; PUNKTE in verschiedenen Gren	
	ldi XL,LOW (20)
	ldi XH,HIGH(20)
	ldi YL,LOW (20)
	ldi YH,HIGH(20)
	ldi temp9,10
	clr temp8
TEST_BITMUSTER_S1:
	call GRAFIC_PUNKT_X_Y	
	subi XL,LOW(-20)
	sbci XH,HIGH(-20)
	inc temp8
	STS(adr_GRAFIC_PUNKT_GROESSE),temp8
	dec temp9
	brne TEST_BITMUSTER_S1
ret
;-------------------------------------------------------------------------------
TEST_BITMUSTER_RUN_1_ZEILE:
	ldi temp9,40
TEST_BITMUSTER_RUN_1s:
	ST Z+,temp
	dec temp9
	brne TEST_BITMUSTER_RUN_1s
ret
;-------------------------------------------------------------------------------
TEST_BITMUSTER_RUN:
	ldi YL,LOW (40*10)
	ldi YH,HIGH(40*10)
TEST_BITMUSTER_RUN_s:
	ST Z+,temp
	SBIW YL,1
	tst YL
	brne TEST_BITMUSTER_RUN_s
	tst YH
	brne TEST_BITMUSTER_RUN_s
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
TEST_ZEICHENSATZ_NULL:
;	call GRAFIC_CLEAR
;	call GRAFIC_CURSOR_ZEILE_1
	ldi temp9,200
	ldi temp,0
TEST_ZEICHENSATZ_NULL_s:
	call ASCII_TEMP
	dec temp9
	brne TEST_ZEICHENSATZ_NULL_s
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
TEST_ZEICHENSATZ:
;	call GRAFIC_CLEAR
;	call GRAFIC_CURSOR_ZEILE_1
	ldi temp9,200
	ldi temp,0
TEST_ZEICHENSATZ_s:
	call ASCII_TEMP
	inc temp
	dec temp9
	brne TEST_ZEICHENSATZ_s
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
TEST_ZEICHENSATZ_INVERS_ZEILE:
	call GRAFIC_CLEAR
;	call GRAFIC_CURSOR_ZEILE_1
	ldi temp9,127
	ldi temp,0
TEST_ZEICHENSATZ_INVERS_ZEILE_s:
	call ASCII_TEMP
	inc temp
	;									
	cpi temp,60
	brne TEST_ZEICHENSATZ_INVERS_ZEILE_w
	STS(adr_GRAFIC_FARBE),EINS
TEST_ZEICHENSATZ_INVERS_ZEILE_w:
	;									
	cpi temp,80
	brne TEST_ZEICHENSATZ_INVERS_ZEILE_ww
	STS(adr_GRAFIC_FARBE),NULL
TEST_ZEICHENSATZ_INVERS_ZEILE_ww:
	;									
	dec temp9
	brne TEST_ZEICHENSATZ_INVERS_ZEILE_s
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
TEST_ZAHLEN:
	call GRAFIC_CLEAR					; ZEILE							
;	call GRAFIC_CURSOR_ZEILE_1
	call ASCII_Z
	call ASCII_a
	call ASCII_h
	call ASCII_l
	call ASCII_e
	call ASCII_n

	call ASCII_CURSOR_ZEILE_2			; ZEILE									
	ldi temp1,255
	call ANZEIGE_HEX_TEMP1				;
	call ASCII_SPACE
	ldi temp1,255
	call ANZEIGE_3_STELLEN_TEMP1		;

	ldi temp1,LOW(-1)
	call ANZEIGE_3_STELLEN_SIGNIERT_TEMP1; Zahl 3-stellig




	call ASCII_CURSOR_ZEILE_3			; ZEILE									
	ldi temp1,255
	ldi temp2,255
	call ANZEIGE_5_STELLEN_TEMP1_TEMP2		;
	ldi temp1,LOW (-1)
	ldi temp2,HIGH(-1)
	call ANZEIGE_5_STELLEN_SIGNIERT_TEMP1_TEMP2		;



	call ASCII_CURSOR_ZEILE_4			; ZEILE									
	ldi temp1,255
	ldi temp2,255
	ldi temp3,255
	call ANZEIGE_8_STELLEN_TEMP1_TEMP2_TEMP3		;

	call ASCII_CURSOR_ZEILE_5			; ZEILE									
	ldi temp1,255
	ldi temp2,255
	ldi temp3,255
	ldi temp4,255
	call ANZEIGE_10_STELLEN_TEMP1_TEMP2_TEMP3_TEMP4		;

	call ASCII_CURSOR_ZEILE_6			; ZEILE									

	; SINUS						
	ldi temp1,LOW (0)
	ldi temp2,HIGH(0)
	call FUNCTION_SINUS_16_TEMP1_TEMP2
	call ANZEIGE_3_STELLEN_SIGNIERT_TEMP1		;

	ldi temp1,LOW (900)
	ldi temp2,HIGH(900)
	call FUNCTION_SINUS_16_TEMP1_TEMP2
	call ANZEIGE_3_STELLEN_SIGNIERT_TEMP1		;

	ldi temp1,LOW (1800)
	ldi temp2,HIGH(1800)
	call FUNCTION_SINUS_16_TEMP1_TEMP2
	call ANZEIGE_3_STELLEN_SIGNIERT_TEMP1		;

	ldi temp1,LOW (2700)
	ldi temp2,HIGH(2700)
	call FUNCTION_SINUS_16_TEMP1_TEMP2
	call ANZEIGE_3_STELLEN_SIGNIERT_TEMP1		;

	; COSINUS					
	call ASCII_CURSOR_ZEILE_7			; ZEILE									
	ldi temp1,LOW (0)
	ldi temp2,HIGH(0)
	call FUNCTION_COSINUS_16_TEMP1_TEMP2
	call ANZEIGE_3_STELLEN_SIGNIERT_TEMP1		;

	ldi temp1,LOW (900)
	ldi temp2,HIGH(900)
	call FUNCTION_COSINUS_16_TEMP1_TEMP2
	call ANZEIGE_3_STELLEN_SIGNIERT_TEMP1		;

	ldi temp1,LOW (1800)
	ldi temp2,HIGH(1800)
	call FUNCTION_COSINUS_16_TEMP1_TEMP2
	call ANZEIGE_3_STELLEN_SIGNIERT_TEMP1		;

	ldi temp1,LOW (2700)
	ldi temp2,HIGH(2700)
	call FUNCTION_COSINUS_16_TEMP1_TEMP2
	call ANZEIGE_3_STELLEN_SIGNIERT_TEMP1		;



	call ASCII_CURSOR_ZEILE_10		; ZEILE									



ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
TEST_RECHNEN:
	call GRAFIC_CLEAR					; ZEILE							
;	call GRAFIC_CURSOR_ZEILE_1
	call ASCII_R
	call ASCII_e
	call ASCII_c
	call ASCII_h
	call ASCII_n
	call ASCII_e
	call ASCII_n
	; RECHNEN MULTIPLIKATION					
	call ASCII_CURSOR_ZEILE_2			; ZEILE									
	ldi temp1,LOW (12)
	ldi temp2,HIGH(12)
	ldi temp3,LOW (12)
	ldi temp4,HIGH(12)
	call FUNKTION_MULTIPLIKATION_16_16_32
	call ANZEIGE_5_STELLEN_SIGNIERT_TEMP1_TEMP2		;

	; RECHNEN MULTIPLIKATION (signiert)			
	call ASCII_CURSOR_ZEILE_3			; ZEILE									
	ldi temp1,LOW (12)
	ldi temp2,HIGH(12)
	ldi temp3,LOW (12)
	ldi temp4,HIGH(12)
	call FUNKTION_MULTIPLIKATION_16_16_32_SIGNIERT
	call ANZEIGE_5_STELLEN_SIGNIERT_TEMP1_TEMP2		;

	ldi temp1,LOW (-12)
	ldi temp2,HIGH(-12)
	ldi temp3,LOW (-12)
	ldi temp4,HIGH(-12)
	call FUNKTION_MULTIPLIKATION_16_16_32_SIGNIERT
	call ANZEIGE_5_STELLEN_SIGNIERT_TEMP1_TEMP2		;
	; RECHNEN MULTIPLIKATION (signiert)			
	call ASCII_CURSOR_ZEILE_4			; ZEILE									
	ldi temp1,LOW (-12)
	ldi temp2,HIGH(-12)
	ldi temp3,LOW (12)
	ldi temp4,HIGH(12)
	call FUNKTION_MULTIPLIKATION_16_16_32_SIGNIERT
	call ANZEIGE_5_STELLEN_SIGNIERT_TEMP1_TEMP2		;

	ldi temp1,LOW (12)
	ldi temp2,HIGH(12)
	ldi temp3,LOW (-12)
	ldi temp4,HIGH(-12)
	call FUNKTION_MULTIPLIKATION_16_16_32_SIGNIERT
	call ANZEIGE_5_STELLEN_SIGNIERT_TEMP1_TEMP2		;


	; RECHNEN					
	call ASCII_CURSOR_ZEILE_6			; ZEILE									
	ldi temp1,BYTE1(144*12)
	ldi temp2,BYTE2(144*12)
	ldi temp3,BYTE3(144*12)
	ldi temp4,BYTE4(144*12)
	ldi temp5,LOW (12)
	ldi temp6,HIGH(12)
	call FUNCTION_DIVISION_32_16
	call ANZEIGE_5_STELLEN_SIGNIERT_TEMP1_TEMP2		;

	ldi temp1,BYTE1(-144*12)
	ldi temp2,BYTE2(-144*12)
	ldi temp3,BYTE3(-144*12)
	ldi temp4,BYTE4(-144*12)
	ldi temp5,LOW (-12)
	ldi temp6,HIGH(-12)
	call FUNCTION_DIVISION_32_16_SIGNIERT
	call ANZEIGE_5_STELLEN_SIGNIERT_TEMP1_TEMP2		;
	; RECHNEN					
	call ASCII_CURSOR_ZEILE_6			; ZEILE									

	ldi temp1,BYTE1(-144*12)
	ldi temp2,BYTE2(-144*12)
	ldi temp3,BYTE3(-144*12)
	ldi temp4,BYTE4(-144*12)
	ldi temp5,LOW (12)
	ldi temp6,HIGH(12)
	call FUNCTION_DIVISION_32_16_SIGNIERT
	call ANZEIGE_5_STELLEN_SIGNIERT_TEMP1_TEMP2		;

	ldi temp1,BYTE1(144*12)
	ldi temp2,BYTE2(144*12)
	ldi temp3,BYTE3(144*12)
	ldi temp4,BYTE4(144*12)
	ldi temp5,LOW (-12)
	ldi temp6,HIGH(-12)
	call FUNCTION_DIVISION_32_16_SIGNIERT
	call ANZEIGE_5_STELLEN_SIGNIERT_TEMP1_TEMP2		;

ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; Punkte per "Zufall" setzen													
TEST_STERNEN_HIMMEL:
	ldi temp9,20
TEST_STERNEN_HIMMEL_s:	
	call FUNCTION_ZUFALLSZAHL_TEMP
	mov XL,temp
	call FUNCTION_ZUFALLSZAHL_TEMP
	andi temp,0b00000001
	mov XH,temp
	call FUNCTION_ZUFALLSZAHL_TEMP
	mov YL,temp
	clr YH
	call GRAFIC_PUNKT_X_Y
	dec temp9
	brne TEST_STERNEN_HIMMEL_s
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
TEST_ALLE_FIGUREN:
	; RAHMEN				
	ldi XL,LOW (0)			; X1	
	ldi XH,HIGH(0)	
	ldi YL,LOW (0)			; Y1	
	ldi YH,HIGH(0)	
	STS(adr_GRAFIC_X1_L),XL	; X1	
	STS(adr_GRAFIC_X1_H),XH
	STS(adr_GRAFIC_Y1_L),YL	; Y1	
	STS(adr_GRAFIC_Y1_H),YH
	ldi XL,LOW (319)		; X2	
	ldi XH,HIGH(319)	
	ldi YL,LOW (255)		; Y2	
	ldi YH,HIGH(255)
	STS(adr_GRAFIC_X2_L),XL	; X2	
	STS(adr_GRAFIC_X2_H),XH
	STS(adr_GRAFIC_Y2_L),YL	; Y2	
	STS(adr_GRAFIC_Y2_H),YH
	call GRAFIC_RECHTECK
	; RECHTECK						
	ldi XL,LOW (20)			; X1	
	ldi XH,HIGH(20)	
	ldi YL,LOW (150)		; Y1	
	ldi YH,HIGH(150)	
	STS(adr_GRAFIC_X1_L),XL	; X1	
	STS(adr_GRAFIC_X1_H),XH
	STS(adr_GRAFIC_Y1_L),YL	; Y1	
	STS(adr_GRAFIC_Y1_H),YH
	ldi XL,LOW (20+60)		; X2	
	ldi XH,HIGH(20+60)	
	ldi YL,LOW (150+60)		; Y2	
	ldi YH,HIGH(150+60)
	STS(adr_GRAFIC_X2_L),XL	; X2	
	STS(adr_GRAFIC_X2_H),XH
	STS(adr_GRAFIC_Y2_L),YL	; Y2	
	STS(adr_GRAFIC_Y2_H),YH
	call GRAFIC_RECHTECK
	; DREIECK						
	ldi XL,LOW (120)		; X1	
	ldi XH,HIGH(120)	
	ldi YL,LOW (150)		; Y1	
	ldi YH,HIGH(150)	
	STS(adr_GRAFIC_X1_L),XL	; X1	
	STS(adr_GRAFIC_X1_H),XH
	STS(adr_GRAFIC_Y1_L),YL	; Y1	
	STS(adr_GRAFIC_Y1_H),YH
	ldi XL,LOW (120+60)		; X2	
	ldi XH,HIGH(120+60)	
	ldi YL,LOW (150)		; Y2	
	ldi YH,HIGH(150)
	STS(adr_GRAFIC_X2_L),XL	; X2	
	STS(adr_GRAFIC_X2_H),XH
	STS(adr_GRAFIC_Y2_L),YL	; Y2	
	STS(adr_GRAFIC_Y2_H),YH
	ldi XL,LOW (120+30)		; X3	
	ldi XH,HIGH(120+30)	
	ldi YL,LOW (150+60)		; Y3	
	ldi YH,HIGH(150+60)
	STS(adr_GRAFIC_X3_L),XL	; X3	
	STS(adr_GRAFIC_X3_H),XH
	STS(adr_GRAFIC_Y3_L),YL	; Y3	
	STS(adr_GRAFIC_Y3_H),YH
	call GRAFIC_DREIECK
	; KREIS							
	ldi XL,LOW (250)		; X1	
	ldi XH,HIGH(250)	
	ldi YL,LOW (180)		; Y1	
	ldi YH,HIGH(180)	
	STS(adr_GRAFIC_X1_L),XL	; X1	
	STS(adr_GRAFIC_X1_H),XH
	STS(adr_GRAFIC_Y1_L),YL	; Y1	
	STS(adr_GRAFIC_Y1_H),YH
	ldi temp,30
	STS(adr_GRAFIC_KREIS_RADIUS),temp
	call GRAFIC_KREIS
	call PROGRAMM_CHECK
	; LINIE							
	ldi XL,LOW (20)			; X1	
	ldi XH,HIGH(20)	
	ldi YL,LOW (50)			; Y1	
	ldi YH,HIGH(50)	
	STS(adr_GRAFIC_X1_L),XL	; X1	
	STS(adr_GRAFIC_X1_H),XH
	STS(adr_GRAFIC_Y1_L),YL	; Y1	
	STS(adr_GRAFIC_Y1_H),YH
	ldi XL,LOW (20+60)		; X2	
	ldi XH,HIGH(20+60)	
	ldi YL,LOW (50+60)		; Y2	
	ldi YH,HIGH(50+60)
	STS(adr_GRAFIC_X2_L),XL	; X2	
	STS(adr_GRAFIC_X2_H),XH
	STS(adr_GRAFIC_Y2_L),YL	; Y2	
	STS(adr_GRAFIC_Y2_H),YH
	call GRAFIC_LINIE
	; ZEIGER						
	ldi XL,LOW (320/2)			; X								
	ldi XH,HIGH(320/2)
	ldi YL,LOW (50)				; Y								
	ldi YH,HIGH(50)	
	STS(adr_GRAFIC_X1_L),XL		
	STS(adr_GRAFIC_X1_H),XH
	STS(adr_GRAFIC_Y1_L),YL		
	STS(adr_GRAFIC_Y1_H),YH	
	ldi temp1,LOW (40)				; ZEIGER-Lnge					
	ldi temp2,HIGH(40)	
	STS(adr_GRAFIC_LAENGE_L),temp1	
	STS(adr_GRAFIC_LAENGE_H),temp2
	ldi temp1,LOW (450)				; WINKEL		
	ldi temp2,HIGH(450)	
	STS(adr_GRAFIC_WINKEL_L),temp1	
	STS(adr_GRAFIC_WINKEL_H),temp2
	call GRAFIC_ZEIGER				; ZEIGER		
	ldi temp1,LOW (3600-450)
	ldi temp2,HIGH(3600-450)	
	STS(adr_GRAFIC_WINKEL_L),temp1	
	STS(adr_GRAFIC_WINKEL_H),temp2
	call GRAFIC_ZEIGER				; ZEIGER		


	; ZEIGER-PUNKT				
	ldi XL,LOW (320/2)			; X								
	ldi XH,HIGH(320/2)
	ldi YL,LOW (50)				; Y								
	ldi YH,HIGH(50)	
	STS(adr_GRAFIC_X1_L),XL		
	STS(adr_GRAFIC_X1_H),XH
	STS(adr_GRAFIC_Y1_L),YL		
	STS(adr_GRAFIC_Y1_H),YH	
	ldi temp,50
	STS(adr_GRAFIC_KREIS_RADIUS),temp	; RADIUS

	ldi temp1,LOW (0)			; WINKEL		
	ldi temp2,HIGH(0)	
	STS(adr_GRAFIC_WINKEL_L),temp1	
	STS(adr_GRAFIC_WINKEL_H),temp2
	call GRAFIC_ZEIGER_PUNKT	; PUNKT-ZEIGER	


	ldi temp1,LOW (900)			; WINKEL		
	ldi temp2,HIGH(900)	
	STS(adr_GRAFIC_WINKEL_L),temp1	
	STS(adr_GRAFIC_WINKEL_H),temp2
	call GRAFIC_ZEIGER_PUNKT	; PUNKT-ZEIGER	

	ldi temp1,LOW (1800)		; WINKEL		
	ldi temp2,HIGH(1800)	
	STS(adr_GRAFIC_WINKEL_L),temp1	
	STS(adr_GRAFIC_WINKEL_H),temp2
	call GRAFIC_ZEIGER_PUNKT	; PUNKT-ZEIGER	

	ldi temp1,LOW (2700)		; WINKEL		
	ldi temp2,HIGH(2700)	
	STS(adr_GRAFIC_WINKEL_L),temp1	
	STS(adr_GRAFIC_WINKEL_H),temp2
	call GRAFIC_ZEIGER_PUNKT	; PUNKT-ZEIGER	

ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
TEST_LINIE_SCHRAEG_A:
	; schrg-SCHLEIFE					
	ldi temp1,LOW (0)			; X1			
	ldi temp2,HIGH(0)	
	ldi temp3,LOW (0)			; Y1			
	ldi temp4,HIGH(0)	

	ldi temp5,LOW (0)			; X2			
	ldi temp6,HIGH(0)	
	ldi temp7,LOW (255)			; Y2			
	ldi temp8,HIGH(255)	

	STS(adr_GRAFIC_X1_L),temp1	; X1		
	STS(adr_GRAFIC_X1_H),temp2
	STS(adr_GRAFIC_Y1_L),temp3	; Y1		
	STS(adr_GRAFIC_Y1_H),temp4	
	STS(adr_GRAFIC_X2_L),temp5	; X2		
	STS(adr_GRAFIC_X2_H),temp6
	STS(adr_GRAFIC_Y2_L),temp7	; Y2		
	STS(adr_GRAFIC_Y2_H),temp8	
	; SCHLEIFE		
	ldi ZL,LOW (319)
	ldi ZH,HIGH(319)
TEST_LINIE_SCHRAEG_s:
	LDS temp5,(adr_GRAFIC_X2_L)	; X2		
	LDS temp6,(adr_GRAFIC_X2_H)
	subi temp5, BYTE1(-1)		; +	
	sbci temp6, BYTE2(-1)
	STS(adr_GRAFIC_X2_L),temp5	; X2		
	STS(adr_GRAFIC_X2_H),temp6
	push ZL
	push ZH
	call GRAFIC_LINIE
	pop ZH
	pop ZL
	sbiw ZL,1
	tst ZL
	brne TEST_LINIE_SCHRAEG_s
	tst ZH
	brne TEST_LINIE_SCHRAEG_s
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
TEST_LINIE_SCHRAEG_STOP_UHR:
;-------------------------------------------------------------------------------
	call STOP_UHR_START
;-------------------------------------------------------------------------------
	; AUSGANGSLINIE				
	ldi temp1,LOW (320/2)			; X1			
	ldi temp2,HIGH(320/2)	
	ldi temp3,LOW (255/2)			; Y1			
	ldi temp4,HIGH(255/2)	

	ldi temp5,LOW (320/2-100)		; X2			
	ldi temp6,HIGH(320/2-100)	
	ldi temp7,LOW (255/2+100)		; Y2			
	ldi temp8,HIGH(255/2+100)	
	STS(adr_GRAFIC_X1_L),temp1	; X1		
	STS(adr_GRAFIC_X1_H),temp2
	STS(adr_GRAFIC_Y1_L),temp3	; Y1		
	STS(adr_GRAFIC_Y1_H),temp4	
	STS(adr_GRAFIC_X2_L),temp5	; X2		
	STS(adr_GRAFIC_X2_H),temp6
	STS(adr_GRAFIC_Y2_L),temp7	; Y2		
	STS(adr_GRAFIC_Y2_H),temp8

	; OBEN						
	ldi temp9,200
TEST_LINIE_SCHRAEG_B_S1:
	call GRAFIC_LINIE
	LDS ZL,(adr_GRAFIC_X2_L)	; X2		
	LDS ZH,(adr_GRAFIC_X2_H)
	adiw ZL,1					; +1		
	STS(adr_GRAFIC_X2_L),ZL		; X2		
	STS(adr_GRAFIC_X2_H),ZH
	dec temp9
	brne TEST_LINIE_SCHRAEG_B_S1
	; rechts					
	ldi temp9,200
TEST_LINIE_SCHRAEG_B_S2:
	call GRAFIC_LINIE
	LDS ZL,(adr_GRAFIC_Y2_L)	; Y2		
	LDS ZH,(adr_GRAFIC_Y2_H)
	SBIW ZL,1					; -1		
	STS(adr_GRAFIC_Y2_L),ZL		; Y2		
	STS(adr_GRAFIC_Y2_H),ZH
	dec temp9
	brne TEST_LINIE_SCHRAEG_B_S2
	; unten						
	ldi temp9,200
TEST_LINIE_SCHRAEG_B_S3:
	call GRAFIC_LINIE
	LDS ZL,(adr_GRAFIC_X2_L)	; X2		
	LDS ZH,(adr_GRAFIC_X2_H)
	SBIW ZL,1					; -1		
	STS(adr_GRAFIC_X2_L),ZL		; X2		
	STS(adr_GRAFIC_X2_H),ZH
	dec temp9
	brne TEST_LINIE_SCHRAEG_B_S3
	; oben						
	ldi temp9,200
TEST_LINIE_SCHRAEG_B_S4:
	call GRAFIC_LINIE
	LDS ZL,(adr_GRAFIC_Y2_L)	; Y2		
	LDS ZH,(adr_GRAFIC_Y2_H)
	adiw ZL,1					; +1		
	STS(adr_GRAFIC_Y2_L),ZL		; Y2		
	STS(adr_GRAFIC_Y2_H),ZH
	dec temp9
	brne TEST_LINIE_SCHRAEG_B_S4

;-------------------------------------------------------------------------------
	call STOP_UHR_STOP
	call ANZEIGE_STOP_UHR_KURZ

ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
TEST_GRAFIC_RECHTECK:
	call STOP_UHR_START
;-------------------------------------------------------------------------------
	; AUSGANGSRECHTECK			
	ldi temp1,LOW (320/2-100)			; X1			
	ldi temp2,HIGH(320/2-100)	
	ldi temp3,LOW (255/2-100)			; Y1			
	ldi temp4,HIGH(255/2-100)	
	ldi temp5,LOW (320/2+100)		; X2			
	ldi temp6,HIGH(320/2+100)	
	ldi temp7,LOW (255/2+100)		; Y2			
	ldi temp8,HIGH(255/2+100)
	STS(adr_GRAFIC_X1_L),temp1	; X1		
	STS(adr_GRAFIC_X1_H),temp2
	STS(adr_GRAFIC_Y1_L),temp3	; Y1		
	STS(adr_GRAFIC_Y1_H),temp4	
	STS(adr_GRAFIC_X2_L),temp5	; X2		
	STS(adr_GRAFIC_X2_H),temp6
	STS(adr_GRAFIC_Y2_L),temp7	; Y2		
	STS(adr_GRAFIC_Y2_H),temp8	

	ldi temp9,100
TEST_GRAFIC_RECHTECK_s:
	call GRAFIC_RECHTECK
	; X1+						
	LDS XL,(adr_GRAFIC_X1_L)
	LDS XH,(adr_GRAFIC_X1_H)
	adiw XL,2
	STS(adr_GRAFIC_X1_L),XL
	STS(adr_GRAFIC_X1_H),XH
	; Y1+						
	LDS YL,(adr_GRAFIC_Y1_L)
	LDS YH,(adr_GRAFIC_Y1_H)
	adiw YL,2
	STS(adr_GRAFIC_Y1_L),YL
	STS(adr_GRAFIC_Y1_H),YH
	; X2-						
	LDS XL,(adr_GRAFIC_X2_L)
	LDS XH,(adr_GRAFIC_X2_H)
	SBIW XL,2
	STS(adr_GRAFIC_X2_L),XL
	STS(adr_GRAFIC_X2_H),XH
	; Y2-						
	LDS YL,(adr_GRAFIC_Y2_L)
	LDS YH,(adr_GRAFIC_Y2_H)
	SBIW YL,2
	STS(adr_GRAFIC_Y2_L),YL
	STS(adr_GRAFIC_Y2_H),YH
	; SCHLEIFE					
	dec temp9
	brne TEST_GRAFIC_RECHTECK_s

;-------------------------------------------------------------------------------
	call STOP_UHR_STOP
	call ANZEIGE_STOP_UHR_KURZ

ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
TEST_GRAFIC_SINUS_COSINUS:
	ldi XL,0		; WINKEL	
	ldi XH,0
TEST_GRAFIC_SINUS_s:
	; SINUS					
	mov temp1,XL
	mov temp2,XH
	LSL temp1	; x2
	ROL temp2
	LSL temp1	; x2
	ROL temp2
	LSL temp1	; x2
	ROL temp2
	LSL temp1	; x2
	ROL temp2
	call FUNCTION_SINUS_16_TEMP1_TEMP2
	ASR temp2	; :2
	ROR temp1
	ASR temp2	; :2
	ROR temp1
	subi temp1,LOW (-127)			; KURVE auf MITTE
	SBCI temp2,HIGH(-127)
	mov YL,temp1	; KOORDINATEN PUNKT save	
	mov YH,temp2
	call GRAFIC_PUNKT_X_Y
	; COSINUS				
	mov temp1,XL
	mov temp2,XH
	LSL temp1	; x2
	ROL temp2
	LSL temp1	; x2
	ROL temp2
	LSL temp1	; x2
	ROL temp2
	LSL temp1	; x2
	ROL temp2
	call FUNCTION_COSINUS_16_TEMP1_TEMP2
	ASR temp2	; :2
	ROR temp1
	ASR temp2	; :2
	ROR temp1
	subi temp1,LOW (-127)			; KURVE auf MITTE
	SBCI temp2,HIGH(-127)
	mov YL,temp1
	mov YH,temp2
	call GRAFIC_PUNKT_X_Y
;							
	add XL,EINS
	adc XH,NULL
	cpi XH,HIGH(319)
	brne TEST_GRAFIC_SINUS_s
	cpi XL,LOW (319)
	brne TEST_GRAFIC_SINUS_s
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
TEST_GRAFIC_GEFUELLTER_KREIS_STOP_UHR:
	call STOP_UHR_START

	ldi temp1,LOW(320/2)	; X			
	ldi temp2,HIGH(320/2)
	ldi temp3,LOW (128)		; Y			
	ldi temp4,HIGH(128)	
	ldi temp5,(0)			; RADIUS	
	STS(adr_GRAFIC_X1_L),temp1		; X-KOORDINATEN MITTEL-PUNKT	
	STS(adr_GRAFIC_X1_H),temp2
	STS(adr_GRAFIC_Y1_L),temp3		; Y-KOORDINATEN MITTEL-PUNKT	
	STS(adr_GRAFIC_Y1_H),temp4	
	STS(adr_GRAFIC_KREIS_RADIUS),temp5	; RADIUS					
;-------------------------------------------------------------------------------
	; SCHLEIFE		
	ldi temp9,127
TEST_GRAFIC_KREIS_s:	
	push temp9
	call GRAFIC_KREIS
	pop temp9

	LDS temp,(adr_GRAFIC_KREIS_RADIUS)
	subi temp,(-1)
	STS(adr_GRAFIC_KREIS_RADIUS),temp
	; SCHLEIFE		
	dec temp9
	brne TEST_GRAFIC_KREIS_s
;-------------------------------------------------------------------------------
	call STOP_UHR_STOP
	call ANZEIGE_STOP_UHR_KURZ
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
TEST_GRAFIC_KREIS_AUGE:
	ldi temp1,LOW(320/2)	; X			
	ldi temp2,HIGH(320/2)
	ldi temp3,LOW (128)		; Y			
	ldi temp4,HIGH(128)	
	ldi temp5,(60)			; RADIUS	
	STS(adr_GRAFIC_X1_L),temp1		; X-KOORDINATEN MITTEL-PUNKT	
	STS(adr_GRAFIC_X1_H),temp2
	STS(adr_GRAFIC_Y1_L),temp3		; Y-KOORDINATEN MITTEL-PUNKT	
	STS(adr_GRAFIC_Y1_H),temp4	
	STS(adr_GRAFIC_KREIS_RADIUS),temp5	; RADIUS					
;-------------------------------------------------------------------------------
	; SCHLEIFE		
	ldi temp9,60
TEST_GRAFIC_KREIS_AUGE_s:	
	push temp9
	call GRAFIC_KREIS
	pop temp9
	LDS temp,(adr_GRAFIC_KREIS_RADIUS)
	subi temp,(-1)
	STS(adr_GRAFIC_KREIS_RADIUS),temp
	; SCHLEIFE		
	dec temp9
	brne TEST_GRAFIC_KREIS_AUGE_s

ret
; ##############################################################################
; ##############################################################################
; ##############################################################################

